## org.mortbay.jetty.servlet
Class Invoker

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.mortbay.jetty.servlet.Invoker

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class Invoker
extends HttpServlet

Dynamic Servlet Invoker. This servlet invokes anonymous servlets that have not been defined in the web.xml or by other means. The first element of the pathInfo of a request passed to the envoker is treated as a servlet name for an existing servlet, or as a class name of a new servlet. This servlet is normally mapped to /servlet/* This servlet support the following initParams:

      nonContextServlets       If false, the invoker can only load
                               servlets from the contexts classloader.
                               This is false by default and setting this
                               to true may have security implications.

      verbose                  If true, log dynamic loads

      *                        All other parameters are copied to the
                               each dynamic servlet as init parameters

Version:
  $Id: Invoker.java,v 1.8 2003/02/23 23:58:34 gregwilkins Exp $
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`Invoker()`

Method Summary
`void` `init()` A convenience method which can be overridden so that there's no need to call `super.init(config)`.

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Invoker

    public Invoker()

Method Detail

### init

    public void init()

  Description copied from class: `GenericServlet`
  A convenience method which can be overridden so that there's no need to call `super.init(config)`.

  Instead of overriding `GenericServlet.init(ServletConfig)`, simply override this method and it will be called by `GenericServlet.init(ServletConfig config)`. The `ServletConfig` object can still be retrieved via `GenericServlet.getServletConfig()`.

  Overrides:
    `init` in class `GenericServlet`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.